Subject: bug#19728: 25.0.50; (wrong-type-argument frame-live-p #<dead frame *scratch* 0b54c8d8>)

From: Eli Zaretskii <[email-masked]>
Date: Thu, 29 Jan 2015 19:37:44 +0200

> Date: Thu, 29 Jan 2015 09:29:46 -0800 (PST)
> From: Drew Adams <[email-masked]>
> 
> I doubt this will help much, but just in case it does -
> I got this backtrace when I clicked the `X' in a frame showing
> *scratch*.  There were two frames showing *scratch*, and I clicked the
> "X" in each.  Dunno which one the error was raised for.
> 
> Debugger entered--Lisp error: (wrong-type-argument frame-live-p #<dead frame *scratch* 0b54c8d8>)
>   frame-selected-window(#<dead frame *scratch* 0b54c8d8>)
>   menu-bar-non-minibuffer-window-p()
>   redisplay_internal\ \(C\ function\)()

Any idea how come redisplay got to call
menu-bar-non-minibuffer-window-p?